clang 10.0.0git

Public Member Functions | List of all members
clang::ento::WorkListUnit Class Reference

`#include "clang/StaticAnalyzer/Core/PathSensitive/WorkList.h"`

## Public Member Functions
| WorkListUnit (ExplodedNode *N, BlockCounter C, const CFGBlock *B, unsigned idx)
| WorkListUnit (ExplodedNode *N, BlockCounter C)
ExplodedNode * | getNode () const
| Returns the node associated with the worklist unit. More...
BlockCounter | getBlockCounter () const
| Returns the block counter map associated with the worklist unit. More...
const CFGBlock * | getBlock () const
| Returns the CFGblock associated with the worklist unit. More...
unsigned | getIndex () const
| Return the index within the CFGBlock for the worklist unit. More...

## Detailed Description

Definition at line 27 of file WorkList.h.

## Constructor & Destructor Documentation

## ◆ WorkListUnit() [1/2]

clang::ento::WorkListUnit::WorkListUnit | ( | ExplodedNode * | N,
|  | BlockCounter | C,
|  | const CFGBlock * | B,
|  | unsigned | idx
| ) |  |
| inline

Definition at line 34 of file WorkList.h.

Referenced by clang::ento::WorkList::enqueue().

## ◆ WorkListUnit() [2/2]

clang::ento::WorkListUnit::WorkListUnit | ( | ExplodedNode * | N,
|  | BlockCounter | C
| ) |  |
| inline explicit

Definition at line 41 of file WorkList.h.

## Member Function Documentation

## ◆ getBlock()

const CFGBlock* clang::ento::WorkListUnit::getBlock | ( |  | ) | const
| inline

Returns the CFGblock associated with the worklist unit.

Definition at line 54 of file WorkList.h.

Referenced by clang::ento::CoreEngine::dispatchWorkItem().

## ◆ getBlockCounter()

BlockCounter clang::ento::WorkListUnit::getBlockCounter | ( |  | ) | const
| inline

Returns the block counter map associated with the worklist unit.

Definition at line 51 of file WorkList.h.

Referenced by clang::ento::CoreEngine::ExecuteWorkList().

## ◆ getIndex()

unsigned clang::ento::WorkListUnit::getIndex | ( |  | ) | const
| inline

Return the index within the CFGBlock for the worklist unit.

Definition at line 57 of file WorkList.h.

Referenced by clang::ento::CoreEngine::dispatchWorkItem().

## ◆ getNode()

ExplodedNode* clang::ento::WorkListUnit::getNode | ( |  | ) | const
| inline

Returns the node associated with the worklist unit.

Definition at line 48 of file WorkList.h.

Referenced by clang::ento::CoreEngine::ExecuteWorkList(), clang::ento::WorkList::makeBFSBlockDFSContents(), clang::ento::WorkList::makeUnexploredFirst(), and clang::ento::WorkList::makeUnexploredFirstPriorityQueue().

The documentation for this class was generated from the following file:

- include/clang/StaticAnalyzer/Core/PathSensitive/WorkList.h